JFrame:
  name: frame
  title: appname
  size: 800x600
  minimumSize: 400x300
  locationRelativeTo: null
  defaultCloseOperation: doNothingOnClose
  onWindowOpened: [execDepotUpdate,checkUpdates,focus]
  onWindowClosing: [askClose,closeFrames,saveLocalData,exit]
  iconImage: img.ae
  content:
    - Action(name=exitAction, text=menu.exit, toolTipText=menu.exitTooltip, icon=img.exit, onAction=[askClose,closeFrames,saveLocalData,exit])
    - Action(name=settings, text=menu.settings, toolTipText=menu.settingsTooltip, icon=img.settings, onAction=[showSettings])
    - Action(name=about, text=menu.about, toolTipText=menu.aboutTooltip, icon=img.about, onAction=[showAbout])
    - Action(name=loadConfig, text=menu.loadConfig, toolTipText=menu.loadConfigTooltip, icon=img.openFile, onAction=[loadConfig])
    - Action(name=saveConfig, text=menu.saveConfig, toolTipText=menu.saveConfigTooltip, icon=img.saveFile, onAction=[saveConfig])
    - Action(name=reglobalize, text=menu.reglobalize, toolTipText=menu.reglobalizeTooltip, icon=img.refresh, onAction=[reglobalize])
    - JMenuBar:
        - JMenu(name=mainMenu, text=menu.main):
            - JMenuItem(action=settings)
            - JMenuItem(action=about)
            - JMenuItem(action=exitAction)
        - JMenu(name=fileMenu, text=menu.file):
            - JMenuItem(action=loadConfig)
            - JMenuItem(action=saveConfig)
            - JSeparator()
            - JMenuItem(action=reglobalize)
    - JToolBar(name=tools, floatable=false, orientation=0):
        - JButton(action=exitAction, hideActionText=true)
        - JToolBarSeparator()
        - JButton(action=settings, hideActionText=true)
        - JButton(action=about, hideActionText=true)
    - JSplitPane(name=contents, orientation=horizontalSplit, continuousLayout=true):
        - JPanel(name=panMods):
            - JButton(name=btnRevertSelection, icon=img.undo16, text=btnRevertSelection.text, toolTipText=btnRevertSelection.tooltip, onAction=[revertSelection])
            - JLabel(name=lblModTypes, text=lblModTypes.text)
            - JComboBox(name=cmbModTypes, onAction=modTypeSelection)
            - JScrollPane(name=scrollMods, vScrollBar=always, hScrollBar=never):
                JTable(name=tblMods, visible=false)
            - MigLayout: |
                 [grow]
                 btnRevertSelection                 [min]
                 lblModTypes<,cmbModTypes           [min]
                 scrollMods                         [grow]
        - JPanel(name=panInfo):
            - JLabel(name=lblSubmitter, text=lblSubmitter.text)
            - JLabel(name=lblSubmitterVal)
            - JLabel(name=lblCreator, text=lblCreator.text)
            - JLabel(name=lblCreatorVal)
            - JLabel(name=lblId, text=lblId.text)
            - JLabel(name=lblIdVal)
            - JLabel(name=lblFiles, text=lblFiles.text)
            - JLabel(name=lblFilesVal)
            - JLabel(name=lblDescription, text=lblDescription.text)
            - JScrollPane(name=scrollDescription, vScrollBar=always, hScrollBar=asNeeded):
                HTMLLinkLabel(name=lblDescriptionVal)
            - MigLayout: |
                 [min]             [grow]
                 >lblSubmitter     lblSubmitterVal    [min]
                 >lblCreator       lblCreatorVal      [min]
                 >lblId            lblIdVal           [min]
                 >lblFiles         lblFilesVal        [min]
                 >^lblDescription  scrollDescription  [grow]
    - MigLayout:
        layoutConstraints: wrap 1
        columnConstraints: grow
        rowConstraints: grow
        constraints:
            - contents: grow

#            - tools: dock north
